__gnu_parallel::__find_first_of_selector< _FIterator >(3cxx)

NAME
__gnu_parallel::__find_first_of_selector< _FIterator > - Test predicate on several elements.

SYNOPSIS

#include <find_selectors.h>

Inherits __gnu_parallel::__generic_find_selector.

  Public Member Functions

__find_first_of_selector (_FIterator __begin, _FIterator __end)
template<typename _RAIter1 , typename _RAIter2 , typename _Pred > std::pair< _RAIter1, _RAIter2 > _M_sequential_algorithm (_RAIter1 __begin1, _RAIter1 __end1, _RAIter2 __begin2, _Pred __pred)
Corresponding sequential algorithm on a sequence.
template<typename _RAIter1 , typename _RAIter2 , typename _Pred > bool operator() (_RAIter1 __i1, _RAIter2 __i2, _Pred __pred)
Test on one position.

  Public Attributes

_FIterator _M_begin
_FIterator _M_end

Detailed Description

  template<typename _FIterator>
struct __gnu_parallel::__find_first_of_selector< _FIterator >"Test predicate on several elements.

Member Function Documentation

  template<typename _FIterator > template<typename _RAIter1 , typename _RAIter2 , typename _Pred > std::pair< _RAIter1, _RAIter2 > __gnu_parallel::__find_first_of_selector< _FIterator >::_M_sequential_algorithm (_RAIter1 __begin1, _RAIter1 __end1, _RAIter2 __begin2, _Pred __pred) [inline]

Corresponding sequential algorithm on a sequence.

Parameters
    __begin1 Begin iterator of first sequence.
    __end1 End iterator of first sequence.
    __begin2 Begin iterator of second sequence.
    __pred Find predicate.

  template<typename _FIterator > template<typename _RAIter1 , typename _RAIter2 , typename _Pred > bool __gnu_parallel::__find_first_of_selector< _FIterator >::operator() (_RAIter1 __i1, _RAIter2 __i2, _Pred __pred) [inline]

Test on one position.

Parameters
    __i1 _Iterator on first sequence.
    __i2 _Iterator on second sequence (unused).
    __pred Find predicate.

Author

Generated automatically by Doxygen for libstdc++ from the source code.